---
kind: Pod
apiVersion: v1
metadata:
  name: whoami-pod01
  labels:
    pod: whoami
spec:
  containers:
    - name: whoami-container
      image: aemc/whoami
---
kind: Pod
apiVersion: v1
metadata:
  name: whoami-pod02
  labels:
    pod: whoami
spec:
  containers:
  - name: whoami-container
    image: aemc/whoami
---
kind: Service
apiVersion: v1
metadata:
  name: whoami
spec:
  selector:
    pod: whoami
  type: ClusterIP
  ports:
  - targetPort: 80
    port: 1234
    protocol: TCP
